Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Sponsored Links



unable to install Canon ip1900 in Ubuntu 9.10

Operating Systems


Reply
 
Thread Tools Search this Thread
  #1  
Old 16-12-2011
Member
 
Join Date: Nov 2011
Posts: 25
unable to install Canon ip1900 in Ubuntu 9.10
  

i am trying to install Canon ip1900 but i dont know somewhere am confussed. I downloaded the packet for the essential function of my printer canon Pixma iP1900 but I do not know how to install. so please help me in this.

Reply With Quote
  #2  
Old 16-12-2011
Member
 
Join Date: May 2011
Posts: 392
Re: unable to install Canon ip1900 in Ubuntu 9.10

Canon does not support Linux. I hope someone has installed this printer and have some solution for this. If you want us to help than you are best, better to be precise: Ubuntu Version 9.04, 9.10, architecture: 32, 64 Bits.
Reply With Quote
  #3  
Old 16-12-2011
Member
 
Join Date: May 2011
Posts: 433
Re: unable to install Canon ip1900 in Ubuntu 9.10

Canon brand printers are poorly recognized by default by Ubuntu system. However, the manufacturer provided Linux drivers for its printers and this is intended to provide direct access to download the archive containing the driver and return to the installation tutorial for your printer. However, if your printer was not referenced, and in order to complete this, please try and install the corresponding driver suggested by the manufacturer website
Reply With Quote
  #4  
Old 16-12-2011
Member
 
Join Date: Jun 2011
Posts: 482
Re: unable to install Canon ip1900 in Ubuntu 9.10

Here are some steps which may be helpful you to install canon ip1900. Unzip the file uploaded to your personal folder MU, otherwise cnijfilter-copy files and cnijfilter common_3.00-1_i386.deb-1_i386.deb-ip1900series_3.00 you downloaded from the Official Site your home directory to make you easier access to them from the terminal emulator. In the terminal run the following commands:

Code:
sudo dpkg-i - force-architecture cnijfilter common_3.00-1_i386.deb

sudo dpkg-i - force-architecture cnijfilter ip1900series_3.00-1_i386.deb
Reply With Quote
  #5  
Old 16-12-2011
Member
 
Join Date: May 2008
Posts: 246
Re: unable to install Canon ip1900 in Ubuntu 9.10

here i also have some steps which help me to solve my printer issue. and hope this is also helps you in you case. first install file-17ubuntu3.4_all.deb libcupsys2_1.3.9. Decompress the file iP1900_debian_printer.tar. once you unzip the file first install cnijfilter-common-3.00-1.tar.gz then cnijfilter-ip1900series_3.00-1_i386.deb and ready. Now go to System> Administration> Printers and if you notice well, to connect the printer was recognized, most could not use because you had no drivers, so give it to the printer and click from there to "make the model" seeks to "change", give in charge, hence the next, hence the saying for 1900 see 3 next until finish give this thing up and ready, have already configured printer.
Reply With Quote
  #6  
Old 20-12-2011
Member
 
Join Date: Jun 2011
Posts: 380
Re: unable to install Canon ip1900 in Ubuntu 9.10

first i have triedmany things tosolve this issue. after so long i have newly install canon mo600r, the Jaunty dummy libcupsys2 works completly fine now, and unexpectedly, my printer now works flawlessly without having any issue.
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "unable to install Canon ip1900 in Ubuntu 9.10"
Thread Thread Starter Forum Replies Last Post
Unable to install Canon Pixma MP640 printer in Ubuntu Karmic Koala ik$hu Operating Systems 3 28-05-2012 03:25 PM
How can I install the drivers for Canon PIXMA MX870 on i368 and 64bit ubuntu SadyQ Hardware Peripherals 6 16-12-2011 09:15 PM
Unable to install driver for Canon LBP3000 printer Hamlet Hardware Peripherals 5 26-03-2010 11:17 AM
How to Install Canon Printer lbp2900 in Ubuntu ? RAFFERTY Operating Systems 3 25-02-2009 10:07 PM


All times are GMT +5.5. The time now is 08:40 PM.